summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2005-11-17 18:21:11 +0000
committerJim Meyering <jim@meyering.net>2005-11-17 18:21:11 +0000
commit42bfe5a874fd1ad8fbd24a436dea6067db9756b7 (patch)
treef6b8819bae256140dd9492809bbdb75654d2af1e /tests
parent29eb8e66c271175315c407f7d51ea879b0e863d5 (diff)
downloadcoreutils-42bfe5a874fd1ad8fbd24a436dea6067db9756b7.tar.xz
New tests, from Andreas Gruenbacher.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/mv/acl65
1 files changed, 65 insertions, 0 deletions
diff --git a/tests/mv/acl b/tests/mv/acl
new file mode 100755
index 000000000..716d19589
--- /dev/null
+++ b/tests/mv/acl
@@ -0,0 +1,65 @@
+#!/bin/sh
+# move files/directories across filesystem boundaries
+# and make sure acls are preserved
+
+. $srcdir/../acl
+. $srcdir/setup
+if test -z "$other_partition_tmpdir"; then
+ exit 77
+fi
+# Make sure we get English translations.
+. $srcdir/../lang-default
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+ getfacl --version
+ setfacl --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ (exit 1); exit 1
+fi
+
+# move the access acl of a file
+touch file || framework_failure=1
+setfacl -m user:bin:rw file || framework_failure=1
+acl1=`getfacl file` || framework_failure=1
+mv file $other_partition_tmpdir || fail=1
+acl2=`cd $other_partition_tmpdir && getfacl file` || framework_failure=1
+test "$acl1" = "$acl2" || fail=1
+
+# move the access acl of a directory
+mkdir dir || framework_failure=1
+setfacl -m user:bin:rw dir || framework_failure=1
+acl1=`getfacl dir` || framework_failure=1
+mv dir $other_partition_tmpdir || fail=1
+acl2=`cd $other_partition_tmpdir && getfacl dir` || framework_failure=1
+test "$acl1" = "$acl2" || fail=1
+
+# move the default acl of a directory
+mkdir dir2 || framework_failure=1
+setfacl -d -m user:bin:rw dir2 || framework_failure=1
+acl1=`getfacl dir2` || framework_failure=1
+mv dir2 $other_partition_tmpdir || fail=1
+acl2=`cd $other_partition_tmpdir && getfacl dir2` || framework_failure=1
+test "$acl1" = "$acl2" || fail=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ (exit 1); exit 1
+fi
+
+cd $pwd
+rm -fr $tmp $other_partition_tmpdir
+exit $fail